/* tslint:disable:max-line-length */
import { FuseNavigationItem } from '@fuse/components/navigation';

export const defaultNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'Dashboards',
    subtitle: 'Unique dashboard designs',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'dashboards.user',
        title: 'User',
        type: 'basic',
        icon: 'heroicons_outline:clipboard-check',
        link: '/dashboards/user',
      },
      {
        id: 'dashboards.partner',
        title: 'Partner',
        type: 'basic',
        icon: 'heroicons_outline:chart-pie',
        link: '/dashboards/partner',
      },
      {
        id: 'dashboards.finance',
        title: 'Finance',
        type: 'basic',
        icon: 'heroicons_outline:cash',
        link: '/dashboards/finance',
      },
    ],
  },
  {
    id: 'member',
    title: 'Member',
    subtitle: 'member managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'member.user',
        title: 'User',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/user',
      },
      {
        id: 'member.casinomoney',
        title: 'Casinomoney',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/casinomoney',
      },
      {
        id: 'member.unconnected',
        title: 'Unconnected',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/unconnected',
      },
      {
        id: 'member.current-user',
        title: 'Current User',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/current-user',
      },
      {
        id: 'member.partner',
        title: 'All Partner',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/partner',
      },
      {
        id: 'member.partner-mainoffice',
        title: 'Partner Mainoffice',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/partner-mainoffice',
      },
      {
        id: 'member.partner-branch',
        title: 'Partner Branch',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/partner-branch',
      },
      {
        id: 'member.partner-division',
        title: 'Partner Division',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/partner-division',
      },
      {
        id: 'member.partner-office',
        title: 'Partner Office',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/partner-office',
      },
      {
        id: 'member.partner-store',
        title: 'Partner Store',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/partner-store',
      },
      {
        id: 'member.partner-recommendation',
        title: 'Partner Recommendation',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/partner-recommendation',
      },
      {
        id: 'member.coupon',
        title: 'Coupon',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/coupon',
      },
      {
        id: 'member.coupon-moneylog',
        title: 'Coupon Moneylog',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/coupon-moneylog',
      },
      {
        id: 'member.coupon-log',
        title: 'Coupon Log',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/coupon-log',
      },
    ],
  },
  {
    id: 'bank',
    title: 'Bank',
    subtitle: 'bank managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'bank.deposit',
        title: 'Deposit',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/bank/deposit',
      },
      {
        id: 'bank.withdraw',
        title: 'Withdraw',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/bank/withdraw',
      },
    ],
  },
  {
    id: 'game',
    title: 'Game',
    subtitle: 'game managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'game.powerball',
        title: 'Powerball',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/game/powerball',
      },
      {
        id: 'game.casino',
        title: 'Casino',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/game/casino',
      },
      {
        id: 'game.evolution',
        title: 'Evolution',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/game/evolution',
      },
      {
        id: 'game.slot',
        title: 'Slot',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/game/slot',
      },
    ],
  },
  {
    id: 'settings',
    title: 'Settings',
    subtitle: 'site settings',
    type: 'group',
    icon: 'heroicons_outline:cog',
    children: [
      {
        id: 'settings.basic',
        title: 'Basic-Setting',
        type: 'basic',
        icon: 'heroicons_outline:cog',
        link: '/settings/basic',
      },
    ],
  },
  {
    id: 'report',
    title: 'Report',
    subtitle: 'report managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'report.daily',
        title: 'Daily',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/report/daily',
      },
      {
        id: 'report.monthly',
        title: 'Monthly',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/report/monthly',
      },
    ],
  },
];
export const compactNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'Dashboards',
    tooltip: 'Dashboards',
    type: 'aside',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'member',
    title: 'Member',
    tooltip: 'Member',
    type: 'aside',
    icon: 'heroicons_outline:qrcode',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'bank',
    title: 'Bank',
    subtitle: 'bank managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'game',
    title: 'Game',
    subtitle: 'game managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'settings',
    title: 'Settings',
    subtitle: 'site settings',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
];
export const futuristicNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'DASHBOARDS',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'member',
    title: 'Member',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'bank',
    title: 'Bank',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'game',
    title: 'Game',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'settings',
    title: 'Settings',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
];
export const horizontalNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'Dashboards',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'member',
    title: 'Member',
    type: 'group',
    icon: 'heroicons_outline:qrcode',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'bank',
    title: 'Bank',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'game',
    title: 'Game',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'settings',
    title: 'Settings',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
];
